Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1126308 - Review Request: datamash - Performs basic numeric, textual and statistical operations in command-line [NEEDINFO]
Summary: Review Request: datamash - Performs basic numeric, textual and statistical op...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-08-04 07:12 UTC by Christopher Meng
Modified: 2016-09-30 07:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 07:15:59 UTC
dueno: fedora-review-
hsowa: needinfo? (i)


Attachments (Terms of Use)

Description Christopher Meng 2014-08-04 07:12:04 UTC
Spec URL: http://sg.cicku.me/datamash.spec
SRPM URL: http://sg.cicku.me/datamash-1.0.6-1.fc22.src.rpm
Description: GNU datamash is a command-line program which performs basic numeric, textual and statistical operations on input textual data files.
Fedora Account System Username: cicku

Comment 1 Daiki Ueno 2015-09-02 04:31:50 UTC
Hi Christopher,

I can review this.  Is there any updated spec/SRPM?

Comment 2 Dave Love 2015-09-02 10:50:26 UTC
(In reply to Daiki Ueno from comment #1)
> Hi Christopher,
> 
> I can review this.  Is there any updated spec/SRPM?

For what it's worth, there's a package of the current release, started before this review, which I've just noticed, at https://loveshack.fedorapeople.org/copr/datamash-1.0.7-1.el6.src.rpm

Comment 3 Hannes Frederic Sowa 2016-02-17 10:46:04 UTC
Hello,

I would like to proceed with the packaging of datamash. According to the policy for stalled reviews I would like to ask Christopher if he intends to work on this any further. Otherwise I would submit a new review request in about one week.

Thanks a lot,
Hannes

Comment 4 Dave Love 2016-02-18 14:01:14 UTC
(In reply to Hannes Frederic Sowa from comment #3)

I think the packaging currently at http://loveshack.fedorapeople.org/copr/datamash-1.1.0-2.el6.src.rpm is in decent shape if you'd like to take that.

Comment 5 Hannes Frederic Sowa 2016-02-18 14:32:17 UTC
Thanks, I will look into that. Is this your package and you are fine if I take it over? Anyway, I probably have to wait the one week if Christopher responds.

Comment 6 Dave Love 2016-02-19 12:11:13 UTC
(In reply to Hannes Frederic Sowa from comment #5)
> Thanks, I will look into that. Is this your package and you are fine if I
> take it over?

Yes, you're welcome to take it, though I'd like it built for epel6.
It wasn't entirely trivial, and there's no point duplicating work.
I just realized that bash completions are different in epel and fedora, so there's a new version at http://loveshack.fedorapeople.org/copr/datamash-1.1.0-3.el6.src.rpm

Comment 7 Daiki Ueno 2016-03-08 03:22:45 UTC
It would be great if we get Christopher's attention soon, but I guess it's not likely, as all his packages have been orphaned last month because of no response (see devel list).

Perhaps we should close this as FE-DEADREVIEW and start over?  It's unfortunate that this package is pending on review so long.

Comment 8 Hannes Frederic Sowa 2016-03-10 10:49:50 UTC
I will submit a new review very soon. Unfortunately I was ill last week and weekend so couldn't work on that.


Note You need to log in before you can comment on or make changes to this bug.